Subject: bug#31495: 26.1; filename completion -vs- "*"

From: Tino Calancha <[email-masked]>
Date: Wed, 20 Jun 2018 21:48:40 +0900 (JST)

>> +(defconst dired-enable-globstar-in-shell
>> +  '(("ksh" . "set -G")
>> +    ("bash" . "shopt -s globstar"))
>> +  "Alist of (SHELL . COMMAND), where COMMAND enables globstar in SHELL.
>> +If `dired-maybe-use-globstar' is non-nil, then `dired-insert-directory'
>> +checks this alist to enable globstar in the shell subprocess.")
>
> Shouldn't this be a defvar or a defcustom?  Using defconst makes it seem
> like the code wouldn't handle it being changed.
To indicate what shells Emacs is supporting for 
this feature.  Of course it might be a defvar, and users might change that adding other 
shells; but then, those shells might not been heavily tested by Emacs 
developers, and other features can break.
I just wanted to be conservative.

I think that is a cheap and useful addition.  I like it.
I set '/bin/sh' to '/bin/zsh' mainly to have globstar in dired; often,
I find that I reset it to 'bash' and globstar stop working with Dired :-(